快乐小子春天 发表于 2013-10-28 18:52:31

按顺序写带圆圈的数字

(defun c:LT008 ()
(setq stanum (getint "\n 请输入开始数字<1>: "))
(if (= stanum nil) (setq stanum 1) )
(setq num1 (getint "\n 请输入数字个数<10>: "))
(if (= num1 nil) (setq num1 10) )
(setq texthigh (getreal "\n 请输入文字高度<2.5>: "))
(if (= texthigh nil) (setq texthigh 2.5) )
(setq r1 (getreal "\n 请输入圆的半径 <0.85>: "))
(if (= r1 nil) (setq r1 0.85) )
(command "style" "standard" "romans.shx,ehzdx.shx" "0" "0.7" "0" "n" "n" "n")
(repeat num1
(setq pt (getpoint "\n 请指定文字注记的位置: "))
(command "text" "j" "m" pt texthigh "0" stanum)
(command "circle" pt (* texthigh r1))
(setq stanum (1+ stanum))
)
(princ "\n Welcome to use the program again!")
(princ "\n Copyright by HongQuan.\n")
(princ "\n TianJin Urban Construction Design Courtyard!\n")
(princ)
)

chenbh2 发表于 2014-6-28 09:14:39

下载了,谢了楼主!

love1030312 发表于 2014-6-28 11:36:19

支持源码分享

清风明月名字 发表于 2014-7-5 16:41:40

谢谢楼主的奉献!
页: [1]
查看完整版本: 按顺序写带圆圈的数字